%define build_plf	0

%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

Summary:	Jukebox for collections of music files
Name:		gmusicbrowser
Version:	1.1.10
Release:	%mkrel 1
Epoch:		1
License:	GPLv3+
Group:		Sound/Players
URL:		http://gmusicbrowser.org
Source0:	http://gmusicbrowser.org/download/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
Requires:	perl-Gtk2 >= 1.090
Requires:	perl-GStreamer >= 0.06
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-flac
Requires:	perl-Gtk2-TrayIcon
Requires:	perl-Gtk2-WebKit
Requires:	perl(GStreamer::Interfaces)
Requires:	perl(Net::DBus)
Requires:	vorbis-tools
Requires:	mpg123

%if %{build_plf}
Requires:	gstreamer0.10-lame
%endif

%description
An open-source jukebox for large collections of mp3/ogg/flac/mpc/ape
files, written in perl.
%if %{build_plf}
This package is in the "tainted" section as it requires other "tainted"
packages.
%endif

%prep
%setup -q

%install
%makeinstall_std

desktop-file-install \
  --add-category="GTK;Player" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

rm -rf %{buildroot}%{_docdir}/%{name}-%{version}
rm -rf %{buildroot}%{_menudir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README NEWS layout_doc.html
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Thu Aug 01 2013 fwang <fwang> 1:1.1.10-1.mga4
+ Revision: 462207
- new version 1.1.10

* Sat Jan 12 2013 umeabot <umeabot> 1:1.1.9-4.mga3.tainted
+ Revision: 351924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 barjac <barjac> 1:1.1.9-3.mga3.tainted
+ Revision: 327007
- changed group to new policy
- minor spec clean

* Tue Feb 28 2012 wally <wally> 1:1.1.9-2.mga2.tainted
+ Revision: 215859
- replace obsoleted perl-Gtk2-MozEmbed dep with perl-Gtk2-WebKit
- shorten description

* Sun Feb 05 2012 wally <wally> 1:1.1.9-1.mga2.tainted
+ Revision: 204668
- new version 1.1.9

* Fri Nov 11 2011 wally <wally> 1:1.1.8-1.mga2
+ Revision: 166748
- new version 1.1.8

* Sat Jul 02 2011 wally <wally> 1:1.1.7-1.mga2.tainted
+ Revision: 117492
- add support for tainted build (for requiring gstreamer0.10-lame)
- add more requires (mpg123, vorbis-tools)
- imported package gmusicbrowser

